/*
 *  Copyright (C) 2005 DFKI GmbH
 *  Image Understanding and Pattern Recognition Lab
 *  Author: Christian Kofler <christian.kofler@dfki.de>
 *  wxUnicode Support: Thomas Deselaers <deselaers@informatik.rwth-aachen.de>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef _WXAPPLICATION_H_
#define _WXAPPLICATION_H_

#include <vector>
#include <wx/button.h>

#include "FireWatch.h"

class wxApplication : public wxApp {
  public:
    virtual ~wxApplication();
    virtual bool OnInit();

};

class RootFrame : public wxFrame {
  public:
    RootFrame( const wxChar *title, 
                int xpos, int ypos, 
                int width, int height);
    ~RootFrame();

    DECLARE_EVENT_TABLE()
    
    void RootFrame::OnPaint(wxPaintEvent& event);
    void OnRandom(wxCommandEvent& event);
    void OnClick(wxCommandEvent& event);
    void OnZoom(wxScrollEvent& event);
   
 private:
    std::vector<wxBitmapButton*> imageButtons;
    wxBoxSizer *topsizer;
    wxFlexGridSizer* imageSizer;
    float imageScale;
    
    FireWatch firewatch;
};

#endif //_WXAPPLICATION_H_
