/*
 *  Copyright (C) 2005 DFKI GmbH
 *  Image Understanding and Pattern Recognition Lab
 *  Author: Christian Kofler <christian.kofler@dfki.de>
 *  wxUnicode Support: Thomas Deselaers <deselaers@informatik.rwth-aachen.de>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#ifndef NETWORKER_H_
#define NETWORKER_H_

#include <sys/types.h>
#include <netinet/in.h>
#include <sys/socket.h>

class FireClient {
public:
	FireClient();
	virtual ~FireClient();
    
    bool connect(char* host, unsigned short port);
    char* request(std::string query);
    bool release();
    
private:
    /** socket handle representing the connection */
    int socketID;
    /** address and port information of the fire server */
    struct sockaddr_in server;
    /** indicates whether or not a connection to the fire server exists */
    bool connected;
    /** pointer to the reveive buffer */
    char* rcvBuffer;
    /** variable buffer size */
    unsigned int bufferSize;
    
};

#endif /*NETWORKER_H_*/
