/*
 *  Copyright (C) 2005 DFKI GmbH
 *  Image Understanding and Pattern Recognition Lab
 *  Author: Christian Kofler <christian.kofler@dfki.de>
 *  wxUnicode Support: Thomas Deselaers <deselaers@informatik.rwth-aachen.de>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#ifndef FIREWATCH_H_
#define FIREWATCH_H_

#include <vector>
#include <string>
#include <utility>

#include "FireClient.h"
#include "ResultImage.h"

class FireWatch {
public:
	FireWatch();
	virtual ~FireWatch();

    void setServer(char* host, unsigned short port);    
    bool initialize();
    bool release();

    
    std::string inline getPath() { return path; }
    std::vector<ResultImage>& getRandomImages();
    std::vector<ResultImage>& retrieve(std::string queryImage);
    
    
private:
    unsigned short defaultPort;
    std::string hostname;
    int fileCount;
    int resultCount;
    std::string path;
    
    FireClient client;
    std::vector<ResultImage> resultImages;

    void getServerConfig();
    void printResultImages();
};

#endif /*FIREWATCH_H_*/
