/*
 *  Copyright (C) 2005 DFKI GmbH
 *  Image Understanding and Pattern Recognition Lab
 *  Author: Christian Kofler <christian.kofler@dfki.de>
 *  wxUnicode Support: Thomas Deselaers <deselaers@informatik.rwth-aachen.de>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
#ifndef RESULTIMAGE_H_
#define RESULTIMAGE_H_

#include <string>

class ResultImage {
public:
    ResultImage(std::string n = "", float sc = 0.f);
	virtual ~ResultImage();
    
    void inline setName(std::string n) { name = n; }
    std::string inline getName() { return name; }
    
    void inline setScore(float sc) { score = sc; }
    float inline getScore() { return score; }
    
private:
    std::string name;
    float score;
    
    // standard ctor is hidden
    ResultImage() {}
};

#endif /*RESULTIMAGE_H_*/
